CVE-2006-1227
CVSS4.6
发布时间 :2006-03-14 14:06:00
修订时间 :2008-09-05 17:01:21
NMCO    

[原文]Drupal 4.5.x before 4.5.8 and 4.6.x before 4.5.8, when menu.module is used to create a menu item, does not implement access control for the page that is referenced, which might allow remote attackers to access administrator pages.


[CNNVD]Drupal多个输入验证漏洞(CNNVD-200603-260)

        Drupal 4.5.8之前版本4.5.x和4.5.8之前版本4.6.x,当menu.module 被用于生成菜单项时,不会对引用页面实施访问控制,从而远程攻击者可访问到管理员页面。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:drupal:drupal:4.5.7
cpe:/a:drupal:drupal:4.6.1
cpe:/a:drupal:drupal:4.5.4
cpe:/a:drupal:drupal:4.5.3
cpe:/a:drupal:drupal:4.6.4
cpe:/a:drupal:drupal:4.5.5
cpe:/a:drupal:drupal:4.6.0
cpe:/a:drupal:drupal:4.5.2
cpe:/a:drupal:drupal:4.6.3
cpe:/a:drupal:drupal:4.5.0
cpe:/a:drupal:drupal:4.5.6
cpe:/a:drupal:drupal:4.5.1
cpe:/a:drupal:drupal:4.6.5
cpe:/a:drupal:drupal:4.6.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1227
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1227
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-260
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/25197
(PATCH)  XF  drupal-menumodule-bypass-security(25197)
http://www.securityfocus.com/archive/1/archive/1/427587/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060314 [DRUPAL-SA-2006-001] Drupal 4.6.6 / 4.5.8 fixes access control issue
http://www.osvdb.org/23909
(PATCH)  OSVDB  23909
http://www.debian.org/security/2006/dsa-1007
(VENDOR_ADVISORY)  DEBIAN  DSA-1007
http://secunia.com/advisories/19257
(VENDOR_ADVISORY)  SECUNIA  19257
http://secunia.com/advisories/19245
(VENDOR_ADVISORY)  SECUNIA  19245
http://drupal.org/node/53796
(VENDOR_ADVISORY)  CONFIRM  http://drupal.org/node/53796
http://www.securityfocus.com/bid/17104
(UNKNOWN)  BID  17104
http://securityreason.com/securityalert/578
(UNKNOWN)  SREASON  578

- 漏洞信息

Drupal多个输入验证漏洞
中危 输入验证
2006-03-14 00:00:00 2006-03-27 00:00:00
远程  
        Drupal 4.5.8之前版本4.5.x和4.5.8之前版本4.6.x,当menu.module 被用于生成菜单项时,不会对引用页面实施访问控制,从而远程攻击者可访问到管理员页面。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Drupal Drupal 4.5.3
        Debian drupal_4.5.3-6_all.deb
        Debian GNU/Linux 3.1 alias sarge
        http://security.debian.org/pool/updates/main/d/drupal/drupal_4.5.3-6_all.deb

- 漏洞信息

23909
Drupal menu.module Menu Item Creation Page Restriction Bypass
Remote / Network Access Information Disclosure
Loss of Confidentiality
Exploit Unknown

- 漏洞描述

Drupal contains a flaw that may lead to an unauthorized information disclosure. When "menu.module" is used to create a menu item, the referenced page will be accessible by everyone, bypassing the expected page restriction. This may allow admin pages to be accessed by a remote attacker, resulting in a loss of confidentiality.

- 时间线

2006-03-13 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 4.5.8, 4.6.6 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站